Service Pack

Download OpStor Service Pack

We recommend customers to move to the latest version.

Note: We strongly recommend you to take backups before applying the service pack. This helps you prevent accidental loss of data.

Download Service pack

Kindly read through the release notes to know more about the new features in Service Pack. 

Upgrade from build 8000 - 8600 to 8700

Upgrade from build 7500 - 7501 to 8000

download_servicepack Service Pack 8700 (.ppm) download_servicepack Service Pack 8000 (.ppm)
How to Install | README  How to Install | README
Note: The above Service pack (Service Pack 8700) is for upgrading from 8000 - 8600 to 8700. If your are using the build 7500, then you need to upgrade your build to 8000. If you are a new user, download OpStor 8700 directly Note: The above Service pack (Service Pack 8000) is for upgrading from 7500 - 7501 to 8000. If your are using the build 7400, then you need to upgrade your build to 7500. If you are a new user, download OpStor 8000 directly

Upgrade from build 7400 to 7500

Upgrade from build 7300 to 7400

download_servicepack Service Pack 7500 (.ppm) download_servicepack Service Pack 7400 (.ppm)
How to Install | README How to Install | README

Note: The above Service pack (Service Pack 7500) is for upgrading from 7400 to 7500. If your are using the build 7300, then you need to upgrade your build to 7400. If you are a new user, download OpStor 7500 directly.

Note: The above Service pack (Service Pack 7400) is for upgrading from 7300 to 7400. If your are using the build 7200, then you need to upgrade your build to 7300. If you are a new user, download OpStor 7400 directly.

Upgrade from build 7200 to 7300

Upgrade from build 7100 to 7200

download_servicepack Service Pack 7300 (.ppm) download_servicepack Service Pack 7200 (.ppm)
How to Install | README How to Install | README
       
Note: The above Service pack (Service Pack 7300) is for upgrading from 7200 to 7300. If your are using the build 7100, then you need to upgrade your build to 7200. If you are a new user, download OpStor 7300 directly. Note: The above Service pack (Service Pack 7200) is for upgrading from 7100 to 7200. If you are using a build between 7000 to 7002, then you need to upgrade your build to 7100. If you are a new user, download OpStor 7200 directly.

Upgrade from build 7000-7002 to 7100

Upgrade from build 6200 - 6202 to 7000

download_servicepack Service Pack 7100 (.ppm) download_servicepack Service Pack 7000 (.ppm)
How to Install | README How to Install | README
Note: The above Service pack (Service Pack 7100) is for upgrading from 7000-7002 to 7100. If you are using a build between 6200 to 6202, then you need to upgrade your build to 7000. If you are a new user, download OpStor 7100 directly. Note: The above Service pack (Service Pack 7000) is for upgrading from 6200 - 6202 to 7000. If you are using a build between 6000 to 6102, then you need to upgrade your build to 6200 before moving to 7000. If you are a new user, download OpStor 7000 directly.

Note for upgrading from 6200 - 6202 to 7000

If you are already monitoring VMware ESX / ESXi servers with OpStor, you need to readd the certificates of those servers to the OpStor keystore after the upgradation.

Upgrade from build 6000 - 6102 to 6200

Upgrade from build 5010 - 5090 to 6000

download_servicepack Service Pack 6200 (.ppm) (Upgrade to JRE 1.6 mandatory before applying this service pack) download_servicepack Service Pack 6000 (.ppm)
How to Install | README How to Install | README
Note: The above Service pack (Service Pack 6200) is for upgrading from 6000 - 6102 to 6200. If you are using a build between 5010 to 5090, then you need to upgrade your build to 6000 first and then upgrade to 6200 before moving to 7000. If you are a new user, download OpStor 7000 directly. Note: The above Service pack (Service Pack 6000) is for upgrading from 5010 - 5090 to 6000. If you are a new user, download OpStor 7000 directly.

Note for upgrading from 5010 - 5090 to 6000 :

  1. If you had IBM DS4000/FastT series devices earlier, you need to delete and re-add the device, after installing the service pack.
  2. If you had started OpStor in a different port (default being 80), you need to execute ChangeWebServerPort.bat under <OpStor_Home>/bin directory to change the port again to the desired value, after installing the service pack.

How can I find the Build Number of OpStor?

  1. In the OpStor web client, click the "About" link on top right of the page.
  2. You should see the Build number mentioned on the top right of the page

Upgrading to JRE 1.6: (This is not needed for customers who download the full build of 6200 or 7000)

  1. Go to <OpStor_Home> directory.
  2. Ensure that the OpStor server is shut down.
  3. Take a backup of the existing "jre" folder. (This can be used again, if there is a problem in upgrading to JRE 1.6) and delete the "jre" folder.
  4. If you are using the Windows build, download the Windows JRE 1.6 and unzip it under <OpStor_Home> directory.
  5. If you are using the Linux build, download the Linux JRE 1.6 and unzip it under <OpStor_Home> directory.

Instructions to apply the Service Pack

  1. Shut down OpStor. (If OpStor is running as a service, stop the service from Control Panel > Services window)
  2. Take a backup of <opstor-home>/* folder. 
  3. Run the script 'UpdateManager.bat (UpdateManager.sh for Linux) in the <opstor-home>/bin folder. This opens the Update Manager tool.
  4. Click "Install" and then click "Browse" to select the Upgrade Pack file (the .ppm file that you'd downloaded).
  5. Follow the on-screen instructions to apply the Service/Upgrade Pack.
  6. Once the upgrade is complete, start OpStor Server.

Need help ?

Want help with upgrading OpStor to the latest version? Contact OpStor Support

Multi-Vendor Storage Management trusted by